Skip to content

Pan Auth Advanced

| View as Markdown

This api is for advanced authentication for PAN number. We have to pass PAN Number to be authenticated, Exact name as per PAN, PAN Card document image - URL, Selfie or Photograph of the PAN Holder - URL, PAN Card document image - Base64 value and Selfie or Photograph of the PAN Holder - Base64 value in request. If the request is valid, we will get a success response. It is an asynchronous request as per the code the result will be written to a web url or send to mail.

https://kraken.airpay.co.in/airpay/ms/baas/api/pan-authentication-advanced
ParameterType ValueDescriptionValue Like
affiliate requiredTextWill be provided by airpay91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps
checksum requiredText$string = $param.self::$secret_key;91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps
api-key requiredTextWill be provided by airpay91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps
processor-key requiredTextWill be provided by airpay91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps
ParameterType ValueDescriptionValue Like
pan requiredText
(10)
PAN Number to be authenticatedCBGAB1234B
name requiredText
(3-50)
Exact name as per PANAkhil
oc-image-url optionalTextPAN Card document image - URL of in Supported document types: JPEG, JPG, PNG, PDF, TIFF
face-image-url optionalTextSelfie or Photograph of the PAN Holder - URL of in Supported document types: JPEG, JPG, PNG, PDF, TIFF
ocrImageB64 optionalTextPAN Card document image - Base64 value of in Supported document types: JPEG, JPG, PNG, PDF, TIFF
faceImageB64 optionalTextSelfie or Photograph of the PAN Holder - Base64 value of in Supported document types: JPEG, JPG, PNG, PDF, TIFF
ParameterType ValueDescriptionValue Like
status requiredNumeric400- fail,200-success(length 3)400,200
message requiredTextsuccess, failsuccess,fail
data requiredText{ “message”: “Request Submitted Successfully” }
curl --location --request POST 'https://kraken.airpay.co.in/airpay/ms/baas/api/pan-authentication-advanced' \
--header 'api-key: 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps' \
--header 'affiliate: 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps' \
--header 'checksum: 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps' \
--header 'processor-key: 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps' \
--header 'Content-Type: application/json' \
--data-raw {
'pan': 'CBGAB1234B',
'name': 'Akhil',
'oc-image-url' : '',
'face-image-url': '',
'ocrImageB64': '',
'faceImageB64': '',
'consent': 'Y'
}
{
"status": "200",
"message": "success",
"data": {
"message": "Request Submitted Successfully"
}
}
{
"status": "400",
"message": "Failed",
"data": ""
}